EDIT - feature request #7458

Note field for TaxonName , NameType and SpecimenType editors
06/07/2018 05:44 PM - Andreas Kohlbecker

Status: Closed Start date:

Priority: Highest Due date:

Assignee: Andreas Kohlbecker % Done: 100%
Category: cdm-vaadin Estimated time: 0:00 hour
Target version: Release 5.1

Severity: normal

Description

Submitters need to add notes the names and type designations they are entering.
There should be one note field only per editor.
The note field should be placed above the Save, Delete and Cancel buttons as last section of the content area.
We will use cdm annotations to store these notes in the database of the type AnnotationType.EDITORIAL.
In case multiple annotations of this type are existing for the entity to which the "Note" is attached all Annotations will be shown.
For the different editors the "Note"-Annotation needs to be associated with different entity types:
e TaxonNameEditor: "Note"-Annotation <---- TaxonName

¢ NameTypeDesignationEditor: "Note"-Annotation <---- FieldUnit
e SpecimenTypeWorkinsetEditor: "Note"-Annotation <---- NameTypeDesignation

Related issues:
Related to EDIT - feature request #7624: Note field for Reference in Vaadin Closed

Associated revisions

Revision a2415b9f - 06/25/2018 05:41 PM - Andreas Kohlbecker

ref #7458 initial implementation of a note field at the example of the TaxonNameEditor

Revision 6a066197 - 06/25/2018 09:34 PM - Andreas Kohlbecker

ref #7458 solving generic type parameter problem in FilterableAnnotationsField

Revision 782f192b - 06/25/2018 10:26 PM - Andreas Kohlbecker
ref #7458 implementation of the note field for the TypeSpecimenEditor

Revision 2e814df1 - 06/25/2018 10:53 PM - Andreas Kohlbecker
ref #7458 implementation of the note field for the NameTypeEditor

Revision ¢f8¢c950b - 06/26/2018 01:30 PM - Andreas Kohlbecker

ref #7458 fixing readonly state in FilterableAnnotationsField

History

#1 - 06/08/2018 06:12 PM - Andreas Kohlbecker
- Priority changed from New to Highest

#2 - 06/25/2018 10:54 PM - Andreas Kohlbecker
- Status changed from New to Resolved
- Assignee changed from Andreas Kohlbecker to Wolf-Henning Kusber

- % Done changed from 0 to 50

fully implemented and ready for the review
#3 - 08/03/2018 04:46 PM - Wolf-Henning Kusber
- Status changed from Resolved to Closed
- Assignee changed from Wolf-Henning Kusber to Andreas Kohlbecker

- % Done changed from 50 to 100

Alles getestet, Perfekt! Ich nutze es z.B. fiir nicht eingebbare Daten oder Unklarheiten in den Daten.

#4 - 08/06/2018 09:16 AM - Andreas Kohlbecker

- Related to feature request #7624: Note field for Reference in Vaadin added
